[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONArrayIterator

Iterator callback for TJSONArray.Iterate

## Declaration

Source position: fpjson.pp line 285

`type TJSONArrayIterator = procedure(`
`Item: TJSONData;`
`Data: TObject;`
`var Continue: Boolean`
`) of object;`

## Arguments

`Item` |  | Current item
`Data` |  | extra data
`Continue` |  | Continue iterating or not ?

## Description

TJSONArrayIterator is the procedural callback used by TJSONArray.Iterate to iterate over the values. Item is the current item in the iteration. Data is the data passed on when calling Iterate. The Continue parameter can be set to false to stop the iteration loop.

## See also

TJSONArray.Iterate |  | Iterate over all elements in the array

Documentation generated on: Feb 26 2014